NamespaceBuilder (Groovy 4.0.10)

Package: groovy.xml

## [Java] Class NamespaceBuilder

- groovy.xml.NamespaceBuilder

-     public class NamespaceBuilder
      extends Object

  A helper class for creating namespaces for GroovyMarkup

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NamespaceBuilder(BuilderSupport builder)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public NamespaceBuilderSupport` | `declareNamespace(Map ns)`
    `` | `public NamespaceBuilderSupport` | `namespace(String uri)`
    `` | `public NamespaceBuilderSupport` | `namespace(String uri, String prefix)`
    `` | `public static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder, String uri)`
    `` | `public static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder)`
    `` | `public static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder, String uri, String prefix)`
    `` | `public static NamespaceBuilderSupport` | `newInstance(Map nsMap, BuilderSupport builder)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public NamespaceBuilder(BuilderSupport builder)

  - ### Method Detail

    - #### public NamespaceBuilderSupport declareNamespace(Map ns)

    - #### public NamespaceBuilderSupport namespace(String uri)

    - #### public NamespaceBuilderSupport namespace(String uri, String prefix)

    - #### public static NamespaceBuilderSupport newInstance(BuilderSupport builder, String uri)

    - #### public static NamespaceBuilderSupport newInstance(BuilderSupport builder)

    - #### public static NamespaceBuilderSupport newInstance(BuilderSupport builder, String uri, String prefix)

    - #### public static NamespaceBuilderSupport newInstance(Map nsMap, BuilderSupport builder)